Odds2_VIP = {}

function Odds2_VIP:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Odds2_VIP:init()
	self.datas = {}
	self.datas[0] = {VIPlvl = 0, ExpectedProfit = 2000000, BuffID = 10, DragonValue = 0}
	self.datas[1] = {VIPlvl = 1, ExpectedProfit = 5000000, BuffID = 11, DragonValue = 6}
	self.datas[2] = {VIPlvl = 2, ExpectedProfit = 10000000, BuffID = 12, DragonValue = 30}
	self.datas[3] = {VIPlvl = 3, ExpectedProfit = 20000000, BuffID = 13, DragonValue = 100}
	self.datas[4] = {VIPlvl = 4, ExpectedProfit = 50000000, BuffID = 14, DragonValue = 300}
	self.datas[5] = {VIPlvl = 5, ExpectedProfit = 100000000, BuffID = 15, DragonValue = 1000}
	self.datas[6] = {VIPlvl = 6, ExpectedProfit = 200000000, BuffID = 16, DragonValue = 2000}
	self.datas[7] = {VIPlvl = 7, ExpectedProfit = 500000000, BuffID = 17, DragonValue = 5000}
	self.datas[8] = {VIPlvl = 8, ExpectedProfit = 1000000000, BuffID = 18, DragonValue = 10000}
	self.datas[9] = {VIPlvl = 9, ExpectedProfit = 2000000000, BuffID = 19, DragonValue = 20000}
	self.datas[10] = {VIPlvl = 10, ExpectedProfit = 2100000000, BuffID = 20, DragonValue = 50000}
end

Odds2_VIP:init()
